<ion-view title="edit award" ng-controller="awardEditCtrl as ctrl">
	<div class="container" style="padding-top: 50px">

		<div class="row">
			<div class="col-sm-12">
				<h4>General Info:</h4>
				<hr>
				<form class="form-horizontal">

					<div class="form-group">
						<label class="col-sm-2 control-label">Title:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								ng-model="ctrl.award.title"
								placeholder="about the awards">
						</div>
					</div>

					<!-- select sponsor -->
					<div class="form-group">
						<label class="col-sm-2 control-label">sponsor by:</label>
						<div class="col-sm-10">
							<img ng-src="{{ctrl.award.sponsor}}" class="img-thumbnail" ng-if="ctrl.award.sponsor">
							<select class="form-control" ng-model="ctrl.award.sponsor">
								<option value="{{item.logo}}" ng-repeat="item in ctrl.sponsors">{{item.company}}</option>
							</select>
						</div>
					</div>

					<!-- textarea -->
					<div class="form-group">
						<label class="col-sm-2 control-label">Content:</label>
						<div class="col-sm-10">
							<text-angular ng-model="ctrl.award.content"></text-angular>
						</div>
					</div>

					<!-- submit form -->
					<div class="form-group">
						<div class="col-sm-offset-2 col-sm-10">
							<button type="button" class="btn btn-success" ng-click="ctrl.saveAward()">
								Update
							</button>
						</div>
					</div>

				</form>
			</div><!--- /.col -->
		</div><!-- /.row -->

	</div><!-- /.container -->
</ion-view>
